gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.DebugNode

Contents

- Exported types
- Methods
  - getChild
  - getMessage
  - new

Description

A render node that emits a debugging message when drawing its child node.

Synopsis

- newtype DebugNode = DebugNode (ManagedPtr DebugNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf DebugNode o) => IsDebugNode o
- toDebugNode :: (MonadIO m, IsDebugNode o) => o -> m DebugNode
- debugNodeGetChild :: (HasCallStack, MonadIO m, IsDebugNode a) => a -> m RenderNode
- debugNodeGetMessage :: (HasCallStack, MonadIO m, IsDebugNode a) => a -> m Text
- debugNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> Text -> m DebugNode

# Exported types

newtype DebugNode Source #

Memory-managed wrapper type.

Constructors

DebugNode (ManagedPtr DebugNode) |

#### Instances

Instances details

Eq DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode Methods (==) :: DebugNode -> DebugNode -> Bool Source # (/=) :: DebugNode -> DebugNode -> Bool Source #
BoxedPtr DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode Methods boxedPtrCopy :: DebugNode -> IO DebugNode Source # boxedPtrFree :: DebugNode -> IO () Source #
ManagedPtrNewtype DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode Methods toManagedPtr :: DebugNode -> ManagedPtr DebugNode Source #
TypedObject DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode Methods glibType :: IO GType Source #
HasParentTypes DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode
type ParentTypes DebugNode Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode type ParentTypes DebugNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf DebugNode o) => IsDebugNode o Source #

Type class for types which can be safely cast to `DebugNode`, for instance with `toDebugNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf DebugNode o) => IsDebugNode o Source # |
Instance details Defined in GI.Gsk.Objects.DebugNode

toDebugNode :: (MonadIO m, IsDebugNode o) => o -> m DebugNode Source #

Cast to `DebugNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getChildren, getMessage, getNodeType, getOpaqueRect.

#### Setters

None.

## getChild

debugNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsDebugNode a) |
=> a | `node`: a debug `GskRenderNode`
-> m RenderNode | Returns: the child `GskRenderNode`

Gets the child node that is getting drawn by the given `node`.

## getMessage

debugNodeGetMessage Source #

Arguments

:: (HasCallStack, MonadIO m, IsDebugNode a) |
=> a | `node`: a debug `GskRenderNode`
-> m Text | Returns: The debug message

Gets the debug message that was set on this node

## new

debugNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The child to add debug info for
-> Text | `message`: The debug message
-> m DebugNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will add debug information about the given `child`.

Adding this node has no visual effect.